package com.wd.workoffice.ui.activity.bat.work;

import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;

import com.google.android.material.tabs.TabLayout;
import com.wd.workoffice.R;
import com.wd.workoffice.app.WorkToolBarActivity;
import com.wd.workoffice.bean.workEnum.PagePermissionType;
import com.wd.workoffice.ui.adapter.VpDataAdapter;
import com.wd.workoffice.ui.fg.DeviceRepairCheckFragment;
import com.wd.workoffice.ui.fg.DeviceRepairFragment;
import com.wd.workoffice.util.WorkUtils;

import java.util.ArrayList;
import java.util.List;

import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.viewpager.widget.ViewPager;
import butterknife.BindView;
import butterknife.ButterKnife;

import static com.google.android.material.tabs.TabLayout.MODE_FIXED;

/**
 * 设备维修
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class DeviceRepairActivity extends WorkToolBarActivity {

    @BindView(R.id.tl_tab)
    TabLayout tlTab;
    @BindView(R.id.vp_data)
    ViewPager vpData;
    private String tab[] = {
            "我发起的", "我审核的"};

    @Override
    protected void initView() {
        ButterKnife.bind(this);
        tlTab.setupWithViewPager(vpData);
        tlTab.setTabMode(MODE_FIXED);
    }

    @Override
    protected void initData() {
        if (!WorkUtils.hasPermission(PagePermissionType.EQUIPMENT_REPAIR.getPermission())){
            toast(R.string.permission);
            return;
        }
        FragmentManager sfm = getSupportFragmentManager();
        List<Fragment> data = new ArrayList<>();
        DeviceRepairFragment saleFragment = new DeviceRepairFragment();
        DeviceRepairCheckFragment applyFragment = new DeviceRepairCheckFragment();
        Bundle bundle = new Bundle();
        saleFragment.setArguments(bundle);
        applyFragment.setArguments(bundle);
        data.add(saleFragment);
        data.add(applyFragment);
        VpDataAdapter vpFgAdapter = new VpDataAdapter(sfm, data);
        vpData.setAdapter(vpFgAdapter);
        for (int i = 0; i < tab.length; i++) {
            tlTab.getTabAt(i).setText(tab[i]);
        }
    }

    @Override
    protected void initEvent() {
    }

    @Override
    protected int layoutId() {
        return R.layout.activity_order;
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        if (WorkUtils.hasPermission(PagePermissionType.EQUIPMENT_REPAIR_ADD.getPermission())) {
            getMenuInflater().inflate(R.menu.menu_add, menu);
        }
        return super.onCreateOptionsMenu(menu);
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            case R.id.add:
                startActivity(DeviceBuyRepairAddActivity.class);
                break;
        }
        return super.onOptionsItemSelected(item);
    }
}
